POST
/
v1
/
rerank
文档重排序
curl --request POST \
  --url https://infistar.ai/v1/rerank \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "rerank-english-v2.0",
  "query": "查询文本",
  "documents": [
    "文档1",
    "文档2",
    "文档3"
  ],
  "top_n": 3,
  "return_documents": true
}
'
import requests

url = "https://infistar.ai/v1/rerank"

payload = {
"model": "rerank-english-v2.0",
"query": "查询文本",
"documents": ["文档1", "文档2", "文档3"],
"top_n": 3,
"return_documents": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'rerank-english-v2.0',
query: '查询文本',
documents: ['文档1', '文档2', '文档3'],
top_n: 3,
return_documents: true
})
};

fetch('https://infistar.ai/v1/rerank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200

成功